Subject: Re: [PATCH net-next v2 01/15] virtchnl: add virtchnl version 2 ops

From: Simon Horman <[email-masked]>
Date: Tue, 11 Apr 2023 10:51:18 +0200

On Mon, Apr 10, 2023 at 06:13:40PM -0700, Pavan Kumar Linga wrote:
> Virtchnl version 1 is an interface used by the current generation of
> foundational NICs to negotiate the capabilities and configure the
> HW resources such as queues, vectors, RSS LUT, etc between the PF
> and VF drivers. It is not extensible to enable new features supported
> in the next generation of NICs/IPUs and to negotiate descriptor types,
> packet types and register offsets.
> 
> To overcome the limitations of the existing interface, introduce
> the virtchnl version 2 and add the necessary opcodes, structures,
> definitions, and descriptor formats. The driver also learns the
> data queue and other register offsets to use instead of hardcoding
> them. The advantage of this approach is that it gives the flexibility
> to modify the register offsets if needed, restrict the use of
> certain descriptor types and negotiate the supported packet types.
> 
> Co-developed-by: Alan Brady <[email-masked]>
> Signed-off-by: Alan Brady <[email-masked]>
> Co-developed-by: Joshua Hay <[email-masked]>
> Signed-off-by: Joshua Hay <[email-masked]>
> Co-developed-by: Madhu Chittim <[email-masked]>
> Signed-off-by: Madhu Chittim <[email-masked]>
> Co-developed-by: Phani Burra <[email-masked]>
> Signed-off-by: Phani Burra <[email-masked]>
> Co-developed-by: Sridhar Samudrala <[email-masked]>
> Signed-off-by: Sridhar Samudrala <[email-masked]>
> Signed-off-by: Pavan Kumar Linga <[email-masked]>
> Reviewed-by: Sridhar Samudrala <[email-masked]>
> Reviewed-by: Willem de Bruijn <[email-masked]>
> ---
>  drivers/net/ethernet/intel/idpf/virtchnl2.h   | 1201 +++++++++++++++++
>  .../ethernet/intel/idpf/virtchnl2_lan_desc.h  |  666 +++++++++
>  2 files changed, 1867 insertions(+)
>  create mode 100644 drivers/net/ethernet/intel/idpf/virtchnl2.h
>  create mode 100644 drivers/net/ethernet/intel/idpf/virtchnl2_lan_desc.h
> 
> diff --git a/drivers/net/ethernet/intel/idpf/virtchnl2.h b/drivers/net/ethernet/intel/idpf/virtchnl2.h

...

> +/**
> + * This macro is used to generate compilation errors if a structure
> + * is not exactly the correct length.
> + */

Hi Pavan,

./scripts/kernel-doc -none drivers/net/ethernet/intel/idpf/virtchnl2.h
reports that the comment above starts with '/**' but is not a kernel-doc
comment. Which seems to be correct. It also flags many other similar issues.

Please consider running kernel-doc and resolving the issues it flags.